require( "scripts/style.lua" );

MakeDialog
{
    Bitmap
    {
        x=0,y=0,
        image="cutscenes/black",
        --scale=2000,
        w = 1024, h = 768,
        WindowExt
        {
            x=0,y=0,
            w=kMax,h=kMax,
            name="reload_screen",
            timer_settings = {
                name = "panels",
                category = "UI",
            },
            state_handlers = {
                justcreated = function()
                    ShowControl("reload_screen");
                end;
                showed = function()
                    ReloadAssets();
                    local curr_garden = GetCount("curr_garden");
                    if curr_garden == 1 then
                        LoadGarden_1();
                    end
                    if curr_garden == 2 then
                        LoadGarden_2();
                    end
                    if curr_garden == 3 then
                        LoadGarden_3();
                    end
                    if curr_garden == 4 then
                        LoadGarden_4();
                    end
                    if curr_garden == 5 then
                        LoadGarden_5();
                    end
                end;
            },
        }
    },
}